/**
 * The options for adding a PATH variable
 */
export type AddPathOptions = {
    /**
     * The path to the RC file that the PATH variables should be added to.
     */
    rcPath: string;
    /** Provide a name (your tool) to add a variable guard for sourcing your rc file */
    guard?: string;
};
/**
 * Add a path to the PATH environment variable.
 *
 * This function is cross-platforms and works in all the local or CI systems.
 */
export declare function addPath(path: string, givenOptions?: Partial<AddPathOptions>): Promise<void>;
